package demo;

import demo.api.CtmsService;
import demo.api.impl.CtmsServiceImpl;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

/**
 * Created by rock on 17/3/28.
 */
public class TestMain {

    private static final String BASEURL = "http://api.test.carzone.56ctms.com";

    private static final String token = "7aee39ab-6970-4f2e-af1a-65866c340d6a";

    private static final CtmsService ctmsService = new CtmsServiceImpl(BASEURL);

    public static void main(String[] args) throws IOException {
        createOrderTest();
        //updateBatchTest();
    }

    public static void createOrderTest() throws IOException {
        List<CtmsService.Dto.OrderEntity> orderEntities = new ArrayList<>();
        CtmsService.Dto.OrderEntity orderEntity = new CtmsService.Dto.OrderEntity();
        orderEntity.setOrderNumber("111");
        orderEntity.setDeliveryTime(1500281951);
        orderEntity.setConsignerName("aa");
        orderEntity.setBatchNumber("aa");
        orderEntity.setCargoName("");
        orderEntity.setCargoQuantity("1");
        orderEntity.setCargoVolume("1");
        orderEntity.setConsigneePhone("12");
        orderEntity.setConsignerPhone("123");
        orderEntity.setConsignerAddress("asaas");
        orderEntity.setConsignerCity("杭州");
        orderEntity.setConsigneeName("asaas");
        orderEntity.setConsigneeAddress("asasas");
        orderEntity.setConsigneeCity("asasas");



        orderEntities.add(orderEntity);
        ctmsService.authorize(token);
        CtmsService.Dto.CtmsResponse response = ctmsService.createOrder(orderEntities);
        System.out.println(response);
    }

    public static void updateBatchTest() throws IOException {
        List<CtmsService.Dto.OrderEntity> orderEntities = new ArrayList<>();
        CtmsService.Dto.OrderEntity orderEntity = new CtmsService.Dto.OrderEntity();
        orderEntity.setBatchNumber("1111");
        orderEntities.add(orderEntity);
        ctmsService.authorize(token);
        CtmsService.Dto.CtmsResponse response = ctmsService.updateBatch(orderEntities);
        System.out.println(response);
    }
}
