package demo;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import org.apache.http.Consts;
import org.apache.http.HttpResponse;
import org.apache.http.NameValuePair;
import org.apache.http.client.HttpClient;
import org.apache.http.client.entity.UrlEncodedFormEntity;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.impl.client.HttpClientBuilder;
import org.apache.http.message.BasicNameValuePair;
import org.apache.http.util.EntityUtils;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

/**
 * Created by lxji on 2017/10/18.
 */
public class TestQuery {
    private static final String BASEURL = "http://api.test.56ctms.com";
    private static final String token = "e75fe624-eab6-4238-85f8-1cdb82d71568";

    public static void main(String[] args) throws IOException {
        HttpPost httpPost = new HttpPost(BASEURL + "/order/find_order" + "?access_token=" + token);

        List<NameValuePair> param = new ArrayList<>();
        param.add(new BasicNameValuePair("orderNumber", "1707141349908988"));
        UrlEncodedFormEntity formEntity = new UrlEncodedFormEntity(param, Consts.UTF_8);
        HttpClient httpClient = HttpClientBuilder.create().build();
        httpPost.setEntity(formEntity);
        HttpResponse response = httpClient.execute(httpPost);
        String body = EntityUtils.toString(response.getEntity());
        JSONObject result = JSON.parseObject(body);
        System.out.println(result);
    }
}
